Name:           tilp2
Version:        1.18
Release:        %mkrel 4
Summary:        Texas Instruments handheld(s) <-> PC communication program
Group:          Sciences/Mathematics
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        https://download.sourceforge.net/tilp/%{name}-%{version}.tar.bz2
# This file was omitted from the release tarball of tilp2 1.18 by accident.
Source1:        https://raw.githubusercontent.com/debrouxl/tilp_and_gfm/1.18/tilp/trunk/acinclude.m4
BuildRequires:  intltool
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(ticonv)
BuildRequires:  pkgconfig(tifiles2)
BuildRequires:  pkgconfig(ticables2)
BuildRequires:  pkgconfig(ticalcs2)

%description
TiLP2 is a Texas Instruments handhelds <-> PC communication
program for Linux. It is able to use any type of link cable
(Gray/Black/Silver/Direct Link) with any calculator. See
http://lpg.ticalc.org/.

With TiLP, you can transfer files from your PC to your Texas
Instruments calculator, and vice-versa. You can also make a
screen dump, send/receive data, backup/restore contents,
install FLASH applications, or upgrade the  OS.

%prep
%setup -q
%autopatch -p1

sed -i 's/\r$//' README README.linux AUTHORS RELEASE

mkdir -p m4
install -Dpm644 %{_sourcedir}/acinclude.m4 .

%build
autoreconf -vfi
%configure \
	--disable-rpath \
	--with-xinerama
%make_build

make -C po fr.gmo

%install
%make_install
%make_install -C man

%find_lang %{name}

%files -f %{name}.lang
%doc README README.linux RELEASE NEWS AUTHORS
%license COPYING
%{_bindir}/tilp
%{_mandir}/man1/tilp.1*
%{_datadir}/tilp2/
%{_datadir}/applications/tilp.desktop
%{_datadir}/mime/packages/tilp.xml
%{_datadir}/appdata/tilp.appdata.xml


%changelog
* Mon Mar 14 2022 umeabot <umeabot> 1.18-4.mga9
+ Revision: 1791015
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.18-3.mga8
+ Revision: 1489040
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 08 2018 wally <wally> 1.18-2.mga7
+ Revision: 1257856
- rebuild for aarch64

* Sun Jan 01 2017 wally <wally> 1.18-1.mga6
+ Revision: 1079424
- new version 1.18
- drop upstreamed patches

* Sat Sep 24 2016 zezinho <zezinho> 1.17-1.mga6
+ Revision: 1055650
- fix rpm group
- imported package tilp2


* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.17-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep 08 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.17-4
- Updated desktop scriplets.

* Tue Sep 08 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.17-3
- Provided patch (that is going upstream also) to remove AC_PROG_LIBTOOL in favor of LT_INIT.
- Added scriplets to update the desktop database.
- Switched to using "cp -p" to install files manually.

* Sun Aug 30 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.17-2
- Updated appstream appdata file with French translations.
- Changed tilp2 desktop file to use a PNG icon for appdata.

* Tue Jul 28 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.17-1
- Switched to using find_lang macro.
- Moved COPYING file to license tag.
- Fixed file line endings on documentation files.
- Added an appdata XML file.
- Added Xinerama dependency.

* Sat Apr 20 2013 'Ben Rosser' <rosser.bjr@gmail.com> 1.17-0
- Updated to latest upstream tilp version

* Wed Sep 12 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.16-1
- Fixed spelling errors in specfile

* Thu Jul 05 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.16-0
- Updated package to version 1.16
- Vastly improved specfile

* Sat Jul 30 2011 'Ben Rosser' <rosser.bjr@gmail.com> 1.15-0
- Initial version of the package
